# Google Shopping

Documentation
https://support.google.com/merchants/answer/7052112?hl=fr

```json


{
    "repositories": [
        {
            "type": "composer",
            "url":  "http://packages.bydedi.com"
        }
    ],
    "require": {
        "bydedi/google-shopping": "^1.0"
    }
}
```

## Utilisation
### Init
```php
<?php
// On set les paramètres généraux du flux
$title       = "MON SITE";
$link        = "http://www.mon-site.com/";
$description = "Description de mon site";
$filename    = "flux.xml";

// On crée le flux
$productFlux = new \Bydedi\Flux\GoogleShopping\ProductFlux($title, $link, $description, $filename);
```
### Class Product
```php
<?php
// On crée le produit
$product = new \Bydedi\Flux\GoogleShopping\Entity\Product();

// On définit ses attributs
$product->setId("123");
$product->setTitle("Mon produit");
$product->setItemGroupId("23A");
$product->setDescription("La description de mon produit");
$product->setLink("http://www.mon-site.com/page-de-mon-produit.html");
$product->setCondition("new");
$product->setImageLink("http://www.mon-site.com/image-de-mon-produit.png");
$product->setAdditionalImageLink(
    [
        "http://www.mon-site.com/autre-image-de-mon-produit.png",
        "http://www.mon-site.com/encore-une-autre-image-de-mon-produit.png"
    ]
);
$product->setAvailability("in stock");
$product->setPrice("15.00 EUR");
$product->setBrand("Marque de mon produit");
$product->setMpn("123456789123");
$product->setAgeGroup("adult");
$product->setProductType("Catégorie de mon produit");
$product->setShippingWeight("12 kg");

// On ajoute le produit au flux
$productFlux->addProduct($product);
```