<?php

namespace Bydedi\Flux\GoogleShopping\Entity;

use Bydedi\Flux\GoogleShopping\Exception\LengthParamException;
use Exception;

/**
 * Class Shipping
 * @package Bydedi\Flux\GoogleShopping\Entity
 * Doc : https://support.google.com/merchants/answer/6324484
 */
class Shipping
{

    /**
     * Prix de la livraison
     * Format : price + currency (ex : 15.00 EUR)
     *
     * @var string
     */
    protected $price;

    /**
     * Code ISO2 du pays de livraison
     *
     * @var string
     */
    protected $country;

    /**
     * Nom de la livraison
     * 
     * @var string
     */
    protected $service;

    /**
     * @return string
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * @param string $price
     * @return Shipping
     */
    public function setPrice($price)
    {
        $this->price = $price;

        return $this;
    }

    /**
     * @return string
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * @param string $country
     * @return Shipping
     * @throws Exception
     */
    public function setCountry($country)
    {
        if (strlen($country) != 2) {
            throw new LengthParamException("country", strlen($country), 0, array(2));
        }

        $this->country = $country;

        return $this;
    }

    /**
     * @return string
     */
    public function getService()
    {
        return $this->service;
    }

    /**
     * @param string $service
     * @return Shipping
     */
    public function setService($service)
    {
        $this->service = $service;

        return $this;
    }
    
    
}